KABC::Resource::Iterator Class Reference

`#include <resource.h>`

## Public Member Functions

| Iterator (const Iterator &)
virtual Iterator & | operator= (const Iterator &)
virtual const Addressee & | operator* () const
virtual Addressee & | operator* ()
virtual Iterator & | operator++ ()
virtual Iterator & | operator++ (int)
virtual Iterator & | operator-- ()
virtual Iterator & | operator-- (int)
virtual bool | operator== (const Iterator &it)
virtual bool | operator!= (const Iterator &it)

## Public Attributes

IteratorData * | d

## Detailed Description

Resource Iterator.

This class provides an iterator for resource entries. By default it points to a QValueList<Addressee>::Iterator, but you can reimplement this class to fit your own needs.

Definition at line 68 of file resource.h.

The documentation for this class was generated from the following files:

- resource.h
- resource.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys